Subject: 26.1; auth-source does not return newly created entries

From: Allen Li <[email-masked]>
Date: Wed, 12 Sep 2018 15:20:41 -0700

New bug filed per discovery in #30246

(auth-source-search :host "example.com" :user "bob" :secret "password"
:create t)

After calling the returned save function, I can confirm that the
secret is created:

$ secret-tool search --all --unlock host example.com user bob
[/org/freedesktop/secrets/collection/login/484]
label = [email-masked]
secret = password
created = 2018-09-08 23:35:47
modified = 2018-09-08 23:35:47
schema = org.freedesktop.Secret.Generic
attribute.host = example.com
attribute.user = bob

However I cannot seem to retrieve it using auth-source:

(auth-source-search :host "example.com" :user "bob")
nil

Per Michael Albinus:

> I could reproduce it locally. And I could reproduce it also with another
> backend, "~/.authinfo". However, if I start a new Emacs session,
>
> (auth-source-search :host "example.com" :user "bob")
>
> returns a valid result.

In GNU Emacs 26.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version
3.22.24), modified by Debian
Windowing system distributor 'The X.Org Foundation', version 11.0.11906000
System Description: Debian GNU/Linux rodete (upgraded from: Ubuntu 14.04 LTS)